summary refs log tree commit diff
path: root/pkgs/development/python-modules/buildbot/update.sh
diff options
context:
space:
mode:
authorAlyssa Ross <hi@alyssa.is>2021-08-04 10:54:22 +0000
committerAlyssa Ross <hi@alyssa.is>2021-08-04 10:54:22 +0000
commitd2e147bedf251976ed99b94b6c905d6761f7a892 (patch)
tree9e0c62d61698916fd4627ed98d3d880c8fc0ab2e /pkgs/development/python-modules/buildbot/update.sh
parent62614cbef7da005c1eda8c9400160f6bcd6546b8 (diff)
parentc464dc811babfe316ed4ab7bbc12351122e69dd7 (diff)
downloadnixpkgs-d2e147bedf251976ed99b94b6c905d6761f7a892.tar
nixpkgs-d2e147bedf251976ed99b94b6c905d6761f7a892.tar.gz
nixpkgs-d2e147bedf251976ed99b94b6c905d6761f7a892.tar.bz2
nixpkgs-d2e147bedf251976ed99b94b6c905d6761f7a892.tar.lz
nixpkgs-d2e147bedf251976ed99b94b6c905d6761f7a892.tar.xz
nixpkgs-d2e147bedf251976ed99b94b6c905d6761f7a892.tar.zst
nixpkgs-d2e147bedf251976ed99b94b6c905d6761f7a892.zip
Merge remote-tracking branch 'nixpkgs/nixos-unstable' into master
Diffstat (limited to 'pkgs/development/python-modules/buildbot/update.sh')
-rwxr-xr-xpkgs/development/python-modules/buildbot/update.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/pkgs/development/python-modules/buildbot/update.sh b/pkgs/development/python-modules/buildbot/update.sh
new file mode 100755
index 00000000000..3406f05db3e
--- /dev/null
+++ b/pkgs/development/python-modules/buildbot/update.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env nix-shell
+#!nix-shell -i bash -p nix-update
+set -eu -o pipefail
+
+nix-update python3Packages.buildbot
+nix-update --version=skip python3Packages.buildbot-worker
+nix-update --version=skip python3Packages.buildbot-pkg
+nix-update --version=skip python3Packages.buildbot-plugins.www
+nix-update --version=skip python3Packages.buildbot-plugins.console-view
+nix-update --version=skip python3Packages.buildbot-plugins.waterfall-view
+nix-update --version=skip python3Packages.buildbot-plugins.grid-view
+nix-update --version=skip python3Packages.buildbot-plugins.wsgi-dashboards